## gate.gui
Class DocumentEditor.EventsHandler.HihglightsShower

    java.lang.Object
      |
      +--gate.gui.DocumentEditor.EventsHandler.HihglightsShower

All Implemented Interfaces:
  Runnable

Enclosing class:
  DocumentEditor.EventsHandler

class DocumentEditor.EventsHandler.HihglightsShower
extends Object
implements Runnable

Helper class that highlights a given annotation with the specified style.

Field Summary
`(package private) Annotation` `ann`
`(package private) Style` `style`

Constructor Summary
`(package private)` `DocumentEditor.EventsHandler.HihglightsShower(Annotation ann, Style style)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### ann

    Annotation ann

### style

    Style style

Constructor Detail

### DocumentEditor.EventsHandler.HihglightsShower

    DocumentEditor.EventsHandler.HihglightsShower(Annotation ann,
                                                  Style style)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`